@ECHO OFF
FOR /f "delims=" %%a in ('dir /B %USERPROFILE%\.vscode\extensions\ ^| findstr devsense') do (
    @SET FOO=%%a
)
SET inPath=%USERPROFILE%\.vscode\extensions\%FOO%\out\src
IF EXIST %inPath%\extension.js.bakup (
    Echo backup was there
) ELSE (
    IF EXIST %inPath%\extension.js (
        COPY %inPath%\extension.js %inPath%\extension.js.bakup /Y >NUL
        DEL %inPath%\extension.js /F >NUL
    ) ELSE (
        Echo extension.js was not there
    )
)
COPY .\extension.js %inPath%\extension.js /Y >NUL
ECHO Completed Successfully . . .
PAUSE